/* File: app_glob.c  (pg 160-1 Programming the X Window System-Barkakati)
 *
 * Declare the common variables for X applications
*/

#ifndef APP_GLOB_C /* define them at least once */
#define APP_GLOB_C

#ifdef DEF_APP_GLOB  /* defined in initapp.c */

Display 	*theDisplay;	/* Connection to X display */
Pixmap          lPixmap;        /* dumping screen */
GC		theGC;		/* the graphics context for main */
GC		pixGC;		/* the graphics context for pix */
int 		AppDone = 0;	/* Flag to indicate done */
XEvent		theEvent;	/* Structure for current event */
XFontStruct	*theFontStruct;	/* Infor on the default font */
unsigned long	theBGpix,	/* Background and foreground */
			theFGpix;	/* pixel values main window */
char		*theAppName=" ";/* app name */
Window		theMain;	/* Apps main window */
XWindowAttributes
		MainXWA;	/* Attributes of main window */

#else

extern	Display 	*theDisplay;	
extern  Pixmap  	lPixmap;
extern	GC		theGC;	
extern	GC		pixGC;	
extern	int 		AppDone;
extern	XEvent		theEvent;
extern	XFontStruct	*theFontStruct;	
extern	unsigned long	theBGpix,
					theFGpix;	
extern	char		*theAppName;
extern	Window	theMain;	
extern	XWindowAttributes
				MainXWA;

#endif		/* #ifdef DEF_APP_GLOB */
#endif		/* #ifndef APP_GLOB_C  */ 
	
